Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationSequence Class Reference

変換シーケンス More...

`#include <TranslationSequence.h>`

List of all members.

## Public Member Functions
| TranslationSequence ()
| コンストラクタ
virtual | ~TranslationSequence ()
| デストラクタ
virtual bool | analyze (const MObject &object)
| 分析
virtual bool | hasSequence () const
| シーケンスを持つか
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual int | getStartTime (int sequence)
| 開始時間の取得
virtual int | getEndTime (int sequence)
| 終了時間の取得
virtual bool | isLooped (int sequence)
| ループの取得

## Detailed Description

変換シーケンス

Definition at line 34 of file TranslationSequence.h.

## Member Function Documentation

bool LampForMaya::TranslationSequence::analyze | ( | const MObject & | object | ) | `[virtual]`

  | 分析 Parameters:
  object | 分析するオブジェクト
Returns: シーケンスがあればtrue Definition at line 45 of file TranslationSequence.cpp. References MayaErrorOut, and MayaStatusCheck. Referenced by LampForMaya::TranslationSceneNode::analyzeAnimation(), LampForMaya::TranslationCharacterModel::analyzeAnimation(), and LampForMaya::TranslationCamera::analyzeAnimation().

virtual int LampForMaya::TranslationSequence::getEndTime | ( | int | sequence | ) | `[inline, virtual]`

  | 終了時間の取得 Parameters:
  sequence | シーケンス
Returns: 終了時間 Definition at line 82 of file TranslationSequence.h. Referenced by LampForMaya::TranslationSceneNode::analyzeAnimation(), LampForMaya::TranslationCharacterModel::analyzeAnimation(), LampForMaya::TranslationCamera::analyzeAnimation(), LampForMaya::TranslationSceneNode::convertAnimation(), LampForMaya::TranslationCharacterModel::convertAnimation(), and LampForMaya::TranslationCamera::convertAnimation().

virtual int LampForMaya::TranslationSequence::getSequenceCount | ( |  | ) | const`[inline, virtual]`

| シーケンス数の取得 Returns: シーケンス数 Definition at line 63 of file TranslationSequence.h. Referenced by LampForMaya::TranslationSceneNode::analyzeAnimation(), LampForMaya::TranslationCharacterModel::analyzeAnimation(), LampForMaya::TranslationCamera::analyzeAnimation(), LampForMaya::TranslationSceneNode::convertAnimation(), LampForMaya::TranslationCharacterModel::convertAnimation(), and LampForMaya::TranslationCamera::convertAnimation().

virtual int LampForMaya::TranslationSequence::getStartTime | ( | int | sequence | ) | `[inline, virtual]`

  | 開始時間の取得 Parameters:
  sequence | シーケンス
Returns: 開始時間 Definition at line 70 of file TranslationSequence.h. Referenced by LampForMaya::TranslationSceneNode::analyzeAnimation(), LampForMaya::TranslationCharacterModel::analyzeAnimation(), LampForMaya::TranslationCamera::analyzeAnimation(), LampForMaya::TranslationSceneNode::convertAnimation(), LampForMaya::TranslationCharacterModel::convertAnimation(), and LampForMaya::TranslationCamera::convertAnimation().

virtual bool LampForMaya::TranslationSequence::hasSequence | ( |  | ) | const`[inline, virtual]`

| シーケンスを持つか Returns: シーケンスを持つならtrue Definition at line 57 of file TranslationSequence.h. Referenced by LampForMaya::TranslationCharacterModel::convertAnimation(), and LampForMaya::TranslationCamera::convertAnimation().

virtual bool LampForMaya::TranslationSequence::isLooped | ( | int | sequence | ) | `[inline, virtual]`

  | ループの取得 Parameters:
  sequence | シーケンス
Returns: ループ Definition at line 94 of file TranslationSequence.h. Referenced by LampForMaya::TranslationSceneNode::convertAnimation(), LampForMaya::TranslationCharacterModel::convertAnimation(), and LampForMaya::TranslationCamera::convertAnimation().

The documentation for this class was generated from the following files:

- TranslationSequence.h
- TranslationSequence.cpp